#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Mojolicious
Version		:	8.42
Release		:	17.0.10.rel%{?dist}
Summary		:	Minimal base class for Mojo projects
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Mojo::Base

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

#-----------------------------------------------------------------------------
%description
Mojo::Base is a simple base class for Mojo projects with fluent interfaces.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README.md
%{_bindir}/hypnotoad
%{_bindir}/mojo
%{_bindir}/morbo
%{_datadir}/perl5/core_perl/Mojo/*.pm
%{_datadir}/perl5/core_perl/Mojo/Asset/*.pm
%{_datadir}/perl5/core_perl/Mojo/Content/*.pm
%{_datadir}/perl5/core_perl/Mojo/Cookie/*.pm
%{_datadir}/perl5/core_perl/Mojo/DOM/*.pm
%{_datadir}/perl5/core_perl/Mojo/IOLoop/*.pm
%{_datadir}/perl5/core_perl/Mojo/IOLoop/resources/server.{crt,key}
%{_datadir}/perl5/core_perl/Mojo/JSON/*.pm
%{_datadir}/perl5/core_perl/Mojo/Message/*.pm
%{_datadir}/perl5/core_perl/Mojo/Reactor/*.pm
%{_datadir}/perl5/core_perl/Mojo/Server/*.pm
%{_datadir}/perl5/core_perl/Mojo/Server/Morbo/*.pm
%{_datadir}/perl5/core_perl/Mojo/Server/Morbo/Backend/*.pm
%{_datadir}/perl5/core_perl/Mojo/Transaction/*.pm
%{_datadir}/perl5/core_perl/Mojo/UserAgent/*.pm
%{_datadir}/perl5/core_perl/Mojo/resources/html_entities.txt
%{_datadir}/perl5/core_perl/Mojolicious.pm
%{_datadir}/perl5/core_perl/Mojolicious/*.pm
%{_datadir}/perl5/core_perl/Mojolicious/Guides.pod
%{_datadir}/perl5/core_perl/Mojolicious/Command/*.pm
%{_datadir}/perl5/core_perl/Mojolicious/Command/Author/*.pm
%{_datadir}/perl5/core_perl/Mojolicious/Command/Author/generate/*.pm
%{_datadir}/perl5/core_perl/Mojolicious/Guides/*.pod
%{_datadir}/perl5/core_perl/Mojolicious/Plugin/*.pm
%{_datadir}/perl5/core_perl/Mojolicious/Routes/*.pm
%{_datadir}/perl5/core_perl/Mojolicious/Validator/Validation.pm
%{_datadir}/perl5/core_perl/Mojolicious/resources/public/favicon.ico
%{_datadir}/perl5/core_perl/Mojolicious/resources/public/mojo/*
%{_datadir}/perl5/core_perl/Mojolicious/resources/templates/mojo/*
%{_datadir}/perl5/core_perl/Test/Mojo.pm
%{_datadir}/perl5/core_perl/Mojo.pm
%{_datadir}/perl5/core_perl/ojo.pm
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
